/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.arrebol.taxiservicios.model.enums;

/**
 *
 * @author Crov
 */
public enum EstatusTicket {
    PENDENT("Pendiente") {
        @Override
        public String toString() {
            return "PENDIENTE";
        }
    }, APPROVED("Aprobado") {
        @Override
        public String toString() {
            return "APROBADO";
        }
    },
    PROGRESS("Progreso") {
        @Override
        public String toString() {
            return "PROGRESO";
        }
    },
    VALIDATED("Validando") {
        @Override
        public String toString() {
            return "VALIDADO";
        }
    },
    FINISHED("Finalizar") {
        @Override
        public String toString() {
            return "FINALIZADO";
        }
    };

    private final String type;

    private EstatusTicket(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }

}
